Accesskeys

Per user access key.

This tag groups all operations for accesskeys.

Retrieve all Accesskeys

get

This endpoint enables retrieving all Accesskeys using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100Example: 100
filter.accesskeyIdstringOptional

The accesskey ID to filter by.

Responses
chevron-right
200

Returned all requested Accesskeys successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of AccessKey resources.

Example: 5cd907ee-6b6a-5e3a-abaf-5c2edd01d78c
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of AccessKey resources.

Example: /accesskeys
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/accesskeys

Create AccessKey

post

Creates a new AccessKey.

The full AccessKey needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
post
/accesskeys

Retrieve AccessKey

get

Returns the AccessKey by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
accesskeyIdstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
Responses
chevron-right
200

Getting AccessKey was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the AccessKey.

Example: /accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
get
/accesskeys/{accesskeyId}

Ensure AccessKey

put

Ensures that the AccessKey with the provided ID is created or modified. The full AccessKey needs to be provided to ensure (either update or create) the AccessKey. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
accesskeyIdstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
Body
idstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
metadataanyOptional

Metadata

Responses
chevron-right
200

AccessKey successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the AccessKey.

Example: /accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
put
/accesskeys/{accesskeyId}

Delete AccessKey

delete

Deletes the specified AccessKey.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
accesskeyIdstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
Responses
delete
/accesskeys/{accesskeyId}

No content

Ensure AccessKey

put

Renew will replace the existing secret access key with a new one.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
accesskeyIdstring · uuidRequired

The ID (UUID) of the AccessKey that should be ensured.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
Responses
chevron-right
200

AccessKey successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the AccessKey.

Example: fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the AccessKey.

Example: /accesskeys/fb68d39a-5706-51b4-b2b2-7b4bf9cbf0af
put
/accesskeys/{accesskeyId}/renew

Last updated

Was this helpful?